# -*- coding: utf-8 -*-

from setuptools import setup
from sys import stderr, version

if version < '3.2':
    print('Requires Python 3.2 or newer.', file=stderr)
    exit(1)

setup(author='Daniel Aleksandersen',
      author_email='private',
      classifiers=[
          'Development Status :: 4 - Beta',
          'Environment :: Console',
          'Intended Audience :: End Users/Desktop',
          'License :: OSI Approved :: BSD License',
          'Operating System :: OS Independent',
          'Programming Language :: Python :: 3',
          'Programming Language :: Python :: 3 :: Only',
          'Topic :: Communications :: File Sharing',
          'Topic :: Internet',
          'Topic :: Utilities'],
      description='BitTorrent metainfo file (.torrent) creation utility',
      entry_points={
          'console_scripts': [
              'mitorrent = mitorrent.mitorrent:main'
          ]
      },
      install_requires=[
          'setuptools'
      ],
      keywords=['BitTorrent', 'torrent'],
      license='BSD 2-Clause License',
      long_description=open('README', 'r').read(),
      name='mitorrent',
      packages=[
          'mitorrent'
      ],
      test_suite='nose.collector',
      tests_require=[
          'nose'
      ],
      url='https://www.aeyoun.com/projects/mitorrent/index.html',
      version='0.9.4')
